API DocumentationShipping rates

Calculate the shipping rates for a group of parts

POST
/api/manufacturer/v1/shipping-rates

This endpoint calculates the shipping rates for a group of parts. The request body should contain the list of parts and their quantities.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Request Body

application/json
  1. body

Rate calculation request with parts and quantities

currency*string
Value in"USD""SGD""EUR""INR""JPY""AUD""GBP""NZD""MYR""CAD""CHF""DKK""SEK""MXN""ZAR""UAH""NOK""PHP""TRY"
organisationId*integer
Formatint64
toAddressId*integer
Formatint64
parts*array<>

Response Body

Shipping rates calculated successfully

application/json
  1. response
[index: integer]?
curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/shipping-rates' \  -H 'Content-Type: application/json' \  -d '{  "currency": "USD",  "organisationId": 0,  "toAddressId": 0,  "parts": [    {      "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",      "units": "CENTIMETERS",      "quantity": 0,      "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",      "materialId": 0    }  ]}'
[  {    "shippingMethodId": 0,    "tooLargeForBoxes": true,    "errorWithCarrier": true,    "rates": [      {        "id": "string",        "rate": 0,        "currency": "string",        "serviceType": "string",        "serviceName": "string",        "shippingMethodId": 0      }    ]  }]